Range-v3 Range algorithms, views, and actions for the Standard Library |

ranges::v3::basic_common_reference< T, U, TQual, UQual > Struct Template Reference
Utility

## Description

### template<typename T, typename U, typename TQual, typename UQual>
struct ranges::v3::basic_common_reference< T, U, TQual, UQual >

Users can specialize this to hook the `CommonReference` concept.

See also
  `common_reference`